Skip to content
SynupAPI
Get an API key
PUTapi.synup.com/api/v4/social/brands/{brandId1},{brandId2},{brandId3}

Assign multiple brands

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Path

NameTypeRequiredDescription
brandId1stringrequired
brandId2stringrequired
brandId3stringrequired

Headers

NameTypeRequiredDescription
Content-Typestringrequired

Body

NameTypeRequiredDescription
inputobjectrequired
input.userIdstringrequired

Request

Request
curl -X PUT 'https://api.synup.com/api/v4/social/brands/:brandId1,:brandId2,:brandId3' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "userId": "{userId}"
  }
}'

Responses

StatusDescription
200
Example response (generated from the schema)
{}